# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('currency', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('product', '0001_initial'),
        ('organization', '0001_initial'),
        ('vat', '0002_auto_20160503_0943'),
    ]

    operations = [
        migrations.CreateModel(
            name='OrganizationPriceList',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('discount1', models.DecimalField(default=0, verbose_name='discount 1 %', max_digits=5, decimal_places=2)),
                ('discount2', models.DecimalField(default=0, verbose_name='discount 2 %', max_digits=5, decimal_places=2)),
                ('recharge', models.DecimalField(default=0, verbose_name='recharge %', max_digits=5, decimal_places=2)),
                ('creator', models.ForeignKey(related_name='price_organizationpricelist_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='price_organizationpricelist_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('organization', models.ForeignKey(related_name='price_lists', verbose_name='organization', to='organization.Organization')),
            ],
            options={
                'ordering': ('ordering',),
                'verbose_name': 'organization price list',
                'verbose_name_plural': 'organization price lists',
            },
        ),
        migrations.CreateModel(
            name='PriceList',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=255, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('date_begin', models.DateField(verbose_name='date begin', db_index=True)),
                ('date_end', models.DateField(verbose_name='date end', db_index=True)),
                ('price_list_type', models.CharField(max_length=2, verbose_name='price list type', choices=[(b'CP', 'COST PRICE'), (b'RP', 'RESERVED PRICE'), (b'SP', 'STREET PRICE')])),
                ('creator', models.ForeignKey(related_name='price_pricelist_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('currency', models.ForeignKey(related_name='price_lists', verbose_name='currency', to='currency.Currency')),
                ('last_modifier', models.ForeignKey(related_name='price_pricelist_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('ordering',),
                'verbose_name': 'price list',
                'verbose_name_plural': 'price lists',
            },
        ),
        migrations.CreateModel(
            name='PriceListItem',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('price', models.DecimalField(default=0, verbose_name='price', max_digits=11, decimal_places=4)),
                ('price_tax_included', models.BooleanField(default=True, verbose_name='price tax included')),
                ('discount1', models.DecimalField(default=0, verbose_name='discount 1 %', max_digits=5, decimal_places=2)),
                ('discount2', models.DecimalField(default=0, verbose_name='discount 2 %', max_digits=5, decimal_places=2)),
                ('recharge', models.DecimalField(default=0, verbose_name='recharge %', max_digits=5, decimal_places=2)),
                ('min_quantity', models.IntegerField(null=True, verbose_name='min quantity', blank=True)),
                ('max_quantity', models.IntegerField(null=True, verbose_name='max quantity', blank=True)),
                ('note', models.TextField(verbose_name='note', blank=True)),
                ('creator', models.ForeignKey(related_name='price_pricelistitem_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='price_pricelistitem_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('price_list', models.ForeignKey(related_name='prices', verbose_name='price list', to='price.PriceList')),
                ('product', models.ForeignKey(related_name='prices', verbose_name='product', to='product.Product')),
                ('vat', models.ForeignKey(related_name='prices', verbose_name='vat', to='vat.Vat')),
            ],
            options={
                'ordering': ('ordering',),
                'verbose_name': 'price',
                'verbose_name_plural': 'prices',
            },
        ),
        migrations.AddField(
            model_name='organizationpricelist',
            name='price_list',
            field=models.ForeignKey(related_name='organization_price_lists', verbose_name='price list', to='price.PriceList'),
        ),
        migrations.AlterUniqueTogether(
            name='organizationpricelist',
            unique_together=set([('price_list', 'organization')]),
        ),
    ]
